GanttRowVO

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.gantt.java
Class GanttRowVO

    java.lang.Object
      org.openswing.swing.message.receive.java.ValueObjectImpl
          org.openswing.swing.gantt.java.GanttRowVO

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, ValueObject

public class GanttRowVO
extends ValueObjectImpl

Title: OpenSwing Framework

Description: Value object used to store a gantt row info.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`GanttRowVO()`

Method Summary
`java.lang.Class` | `getAppointmentClass()`
`java.util.HashSet` | `getAppointments()`
`GanttWorkingHours` | `getFridayWorkingHours()`
`java.lang.Object[]` | `getLegend()`
`GanttWorkingHours` | `getMondayWorkingHours()`
`GanttWorkingHours` | `getSaturdayWorkingHours()`
`GanttWorkingHours` | `getSundayWorkingHours()`
`GanttWorkingHours` | `getThursdayWorkingHours()`
`GanttWorkingHours` | `getTuesdayWorkingHours()`
`GanttWorkingHours` | `getWednesdayWorkingHours()`
`void` | `setAppointmentClass(java.lang.Class appointmentClass)`
`void` | `setAppointments(java.util.HashSet appointments)`
`void` | `setFridayWorkingHours(GanttWorkingHours fridayWorkingHours)`
`void` | `setLegend(java.lang.Object[] legend)`
`void` | `setMondayWorkingHours(GanttWorkingHours mondayWorkingHours)`
`void` | `setSaturdayWorkingHours(GanttWorkingHours saturdayWorkingHours)`
`void` | `setSundayWorkingHours(GanttWorkingHours sundayWorkingHours)`
`void` | `setThursdayWorkingHours(GanttWorkingHours thursdayWorkingHours)`
`void` | `setTuesdayWorkingHours(GanttWorkingHours tuesdayWorkingHours)`
`void` | `setWednesdayWorkingHours(GanttWorkingHours wednesdayWorkingHours)`

Methods inherited from class org.openswing.swing.message.receive.java.ValueObjectImpl
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GanttRowVO

    public GanttRowVO()

Method Detail

### getSundayWorkingHours

    public GanttWorkingHours getSundayWorkingHours()

### setSundayWorkingHours

    public void setSundayWorkingHours(GanttWorkingHours sundayWorkingHours)

### getMondayWorkingHours

    public GanttWorkingHours getMondayWorkingHours()

### setMondayWorkingHours

    public void setMondayWorkingHours(GanttWorkingHours mondayWorkingHours)

### getTuesdayWorkingHours

    public GanttWorkingHours getTuesdayWorkingHours()

### setTuesdayWorkingHours

    public void setTuesdayWorkingHours(GanttWorkingHours tuesdayWorkingHours)

### getWednesdayWorkingHours

    public GanttWorkingHours getWednesdayWorkingHours()

### setWednesdayWorkingHours

    public void setWednesdayWorkingHours(GanttWorkingHours wednesdayWorkingHours)

### getThursdayWorkingHours

    public GanttWorkingHours getThursdayWorkingHours()

### setThursdayWorkingHours

    public void setThursdayWorkingHours(GanttWorkingHours thursdayWorkingHours)

### getFridayWorkingHours

    public GanttWorkingHours getFridayWorkingHours()

### setFridayWorkingHours

    public void setFridayWorkingHours(GanttWorkingHours fridayWorkingHours)

### getSaturdayWorkingHours

    public GanttWorkingHours getSaturdayWorkingHours()

### setSaturdayWorkingHours

    public void setSaturdayWorkingHours(GanttWorkingHours saturdayWorkingHours)

### getAppointments

    public java.util.HashSet getAppointments()

### setAppointments

    public void setAppointments(java.util.HashSet appointments)

### getLegend

    public java.lang.Object[] getLegend()

### setLegend

    public void setLegend(java.lang.Object[] legend)

### getAppointmentClass

    public java.lang.Class getAppointmentClass()

### setAppointmentClass

    public void setAppointmentClass(java.lang.Class appointmentClass)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD